#! /bin/bash
dir="$HOME/Téléchargements/"
file="/tmp/youtubedlurl_$(date +%d%b%Y%H%M%S).txt"
youtubedlbinary="$HOME/bin/yt-dlp"

choix=$(zenity --list --title=youtubedl --hide-header --hide-column=1 --column=1 --column=2 \
1 "Télécharger une vidéo (HD)" \
2 "Télécharger une vidéo (SD)" \
3 "Télécharger une musique" \
4 "Mettre à jour yt-dlp")

if [ "$choix" = "1" ];then 
	cd $dir
	url=$(zenity --width 500 --entry --title "url à télécharger (HD)")
	notify-send -i youtube "yt-dlp" "Téléchargement commencé ($url)"
	$youtubedlbinary --output "%(title)s.%(ext)s" $url
	if [ "$?" != "0" ]; then
		echo "Erreur, le script va s'arreter."
		notify-send -i youtube "yt-dlp erreur" "Une erreur est survenue dans le téléchargement de $url"
		exit
	else
		notify-send -i youtube "yt-dlp" "Téléchargement vidéo terminé.\n$url"
	fi


elif [ "$choix" = "2" ];then 
	cd $dir
	url=$(zenity --width 500 --entry --title "url à télécharger (SD)")
	notify-send -i youtube "yt-dlp" "Téléchargement commencé\n$url"
	$youtubedlbinary -f 'bestvideo[height<=480]+bestaudio/best[height<=480]' --output "%(title)s.%(ext)s" $url
	if [ "$?" != "0" ]; then
		echo "Erreur, le script va s'arreter."
		notify-send -i youtube "yt-dlp erreur" "Une erreur est survenue dans le téléchargement de $url"
		exit
	else
		notify-send -i youtube "yt-dlp" "Téléchargement vidéo terminé.\n$url"
	fi

elif [ "$choix" = "3" ];then 
	cd $dir
	url=$(zenity --width 500 --entry --title "url à télécharger (audio)")
	notify-send -i youtube "yt-dlp" "Téléchargement commencé ($url)"
	$youtubedlbinary --extract-audio --audio-format mp3 --output "%(title)s.%(ext)s" --restrict-filenames $url
	if [ "$?" != "0" ]; then
		echo "Erreur, le script va s'arreter."
		notify-send -i youtube "yt-dlp erreur" "Une erreur est survenue dans le téléchargement de $url"
		exit
		else
		notify-send -i youtube "yt-dlp" "Téléchargement vidéo terminé.\n$url"
	fi

elif [ "$choix" = "4" ];then 
	return=$($HOME/bin/yt-dlp --update)
	notify-send -t 60000 -i youtube "yt-dlp" "$return"
fi
